Skip to main content
POST
/
v3
/
async
/
vidu-q3-pro-t2v
Vidu Q3 Pro Text-to-Video
curl --request POST \
  --url https://api.myrouter.ai/v3/async/vidu-q3-pro-t2v \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "seed": 123,
  "audio": true,
  "prompt": "<string>",
  "wm_url": "<string>",
  "duration": 123,
  "off_peak": true,
  "watermark": true,
  "resolution": "<string>",
  "wm_position": 123,
  "aspect_ratio": "<string>"
}
'
import requests

url = "https://api.myrouter.ai/v3/async/vidu-q3-pro-t2v"

payload = {
"seed": 123,
"audio": True,
"prompt": "<string>",
"wm_url": "<string>",
"duration": 123,
"off_peak": True,
"watermark": True,
"resolution": "<string>",
"wm_position": 123,
"aspect_ratio": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
seed: 123,
audio: true,
prompt: '<string>',
wm_url: '<string>',
duration: 123,
off_peak: true,
watermark: true,
resolution: '<string>',
wm_position: 123,
aspect_ratio: '<string>'
})
};

fetch('https://api.myrouter.ai/v3/async/vidu-q3-pro-t2v', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "<string>"
}
This is an async API that only returns the task_id of the async task.
This is an async API that only returns the task_id of the async task. Use the task_id to call the Get Async Task Result API to retrieve the generated result.

Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format: Bearer {{API Key}}.

Request Body

seed
integer
Random seed for reproducible results. Set to 0 for random.Range: [0, 2147483647]
audio
boolean
default:true
Whether to enable audio-video generation (including dialogue and sound effects). Only supported by Q3 models.
prompt
string
required
Text description for video generation, up to 2000 characters.Length limit: 0 - 2000
wm_url
string
Watermark image URL.
duration
integer
default:5
Video duration (seconds). Range: 1-16.Range: [1, 16]
off_peak
boolean
default:false
Use off-peak mode. Tasks will be processed within 48 hours at a lower cost.
watermark
boolean
default:false
Whether to add a watermark.
resolution
string
default:"720p"
Output video resolution.Possible values: 540p, 720p, 1080p
wm_position
integer
Watermark position: 1=top-left, 2=top-right, 3=bottom-left, 4=bottom-right.Range: [1, 4]
aspect_ratio
string
default:"16:9"
Output video aspect ratio.Possible values: 16:9, 9:16, 4:3, 3:4, 1:1

Response

task_id
string
required
Use the task_id to call the Get Async Task Result API to retrieve the generated output.